Package org.eclipse.rdf4j.sail.base

## Class BackingSailSource

- java.lang.Object
- - org.eclipse.rdf4j.sail.base.BackingSailSource

- All Implemented Interfaces:
    `AutoCloseable`, `SailClosable`, `SailSource`

      public abstract class BackingSailSource
      extends Object
      implements SailSource

  A Backing `SailSource` that does not respond to `close()` `prepare()` or `flush()`. These methods have no effect.
  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackingSailSource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes this resource, relinquishing any underlying resources.
    `void` | `flush()` | Apply all the changes to this branch to the backing `SailSource`, if applicable.
    `SailSource` | `fork()` | Creates a new branch of this source.
    `void` | `prepare()` | Check the consistency of this branch and throws a `SailConflictException` if `SailSource.flush()`ing this branch would cause the backing `SailSource` to be inconsistent, if applicable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.base.SailSource

      `dataset, sink`

- - ### Constructor Detail

    - #### BackingSailSource

          public BackingSailSource()

  - ### Method Detail

    - #### fork

          public SailSource fork()

      Description copied from interface: `SailSource`
      Creates a new branch of this source. When it's `SailSource.flush()` is called the changes are applied to this backing source.
      Specified by:
        `fork` in interface `SailSource`
      Returns:
        a branched `SailSource`.

    - #### close

          public void close()
                     throws SailException

      Description copied from interface: `SailClosable`
      Closes this resource, relinquishing any underlying resources.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `SailClosable`
      Throws:
        `SailException` - if this resource cannot be closed

    - #### prepare

          public void prepare()
                       throws SailException

      Description copied from interface: `SailSource`
      Check the consistency of this branch and throws a `SailConflictException` if `SailSource.flush()`ing this branch would cause the backing `SailSource` to be inconsistent, if applicable. If this is the final backing `SailSource` calling this method has no effect.
      Specified by:
        `prepare` in interface `SailSource`
      Throws:
        `SailException`

    - #### flush

          public void flush()
                     throws SailException

      Description copied from interface: `SailSource`
      Apply all the changes to this branch to the backing `SailSource`, if applicable. If this is the final backing `SailSource` calling this method has no effect.
      Specified by:
        `flush` in interface `SailSource`
      Throws:
        `SailException`